Bug 1412021 - Unable to connect - unknown form input type
Summary: Unable to connect - unknown form input type
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: openconnect
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 01:38 UTC by francois
Modified: 2018-11-30 18:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:45:16 UTC
Type: Bug


Attachments (Terms of Use)
suggested patch (558 bytes, patch)
2017-01-11 01:38 UTC, francois
no flags Details | Diff

Description francois 2017-01-11 01:38:44 UTC
Created attachment 1239286 [details]
suggested patch

Description of problem:
When trying to connect to my employer's VPN gateway (Juniper gateway), I'm not getting the box to type my usename in, just a password box. The log also shows this message

Ignoring unknown form input type 'username'


Version-Release number of selected component (if applicable):
tested with version 7.08-1 on Fedora 25

How reproducible:
This happens everytime for me

Steps to Reproduce:
Try to connect using NetworkManager to a Juniper gateway that uses the 'username' type for the username field.

Actual results:
not getting input box to type username in, only a password box

Expected results:
get both the username and passowrd boxes

Additional info:
This can be fixed by adding the field type. I created a simple patch that adds this field type. When I apply this patch, rebuild the package and install it, I can connect successfully.

Comment 1 David Woodhouse 2017-01-12 22:07:25 UTC
Thanks for the patch. Please could I have it with a Signed-off-by: tag as described at http://www.infradead.org/openconnect/contribute.html

Thanks.

Comment 2 Fedora End Of Life 2017-11-16 19:20:02 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:08:39 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 David Woodhouse 2017-12-13 13:14:58 UTC
Did this get submitted?

Comment 5 francois 2017-12-13 14:24:52 UTC
Yes, I did send the patch along with the sign-off via email back in January. I can resend it if you need it again.

Comment 6 David Woodhouse 2017-12-13 14:50:37 UTC
Er, no need. I've applied it to the upstream git tree now. Thanks.

I'll look at doing either a new upstream release and/or an updated Fedora package, shortly. Apologies for the delay.

Comment 7 Ben Cotton 2018-11-27 17:49:32 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2018-11-30 18:45:16 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.